html {
    font-family: "Ubuntu Mono", "Monospaced", "FreeMono";
    font-size: small;
    color: #c8eebf;
    background-color: #020e02;
    padding: 0;
    margin: 0;
}

body {
    margin: 0;
}

.content {
    border-left: #e8f697 solid 1px;
    width: 100%;
}

footer {
    border-top: #e8f697 solid 1px;
    clear: both;
    position: fixed;
    height: 3em;
    margin: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    font-weight: bolder;
    font-size: medium;
    background: #060c02;
    text-align: center;
    padding-top: 0.5em;
}

header {
    border-bottom: #e8f697 solid 1px;
    position: static;
    height: 1.5em;
    margin: 0;
    left: 0;
    top: 0;
    width: 100%;
    font-weight: bolder;
    font-size: 40pt;
    background: #060c02;
    text-align: center;
    padding-top: 0.5em;
}

nav {
    border-bottom: #e8f697 solid 1px;
    position: static;
    height: 2em;
    margin: 0;
    width: 100%;
    font-size: larger;
    background: #222917;
    display: flex;
    flex-direction: row;
    /*padding-top: 0.5em;*/
}

nav div {
    margin: auto;
}

header {
    border-bottom: #e8f697 solid 1px;
    position: static;
    height: 1.5em;
    margin: 0;
    left: 0;
    top: 0;
    width: 100%;
    font-weight: bolder;
    font-size: 40pt;
    background: #060c02;
    text-align: center;
    padding-top: 0.5em;
}

aside li {
    margin-bottom: 0.5em;
}

a {
    color: #c4e717;
    text-decoration: none;
}

a:hover {
    color: #e8feb7;
}

/*-------------------------- AGENT INFORMATION */
#agent-info {
    flex: 40%;
    float: left;
    margin-left: 1em;
    display: flex;
    flex-direction: row;
}

#agent-info-path {
    font-weight: bolder;
    float: left;
    flex: 65%;
}

#agent-info-text {
    float: left;
    overflow: hidden;
    flex-shrink:8;
}

/*-------------------------- ZONES LIST */
aside {
    flex: 0;
    float: left;
    min-height: 10em;
    margin-right: 3em;
}

aside h2 {
    margin-left: 1em;
}

#zones-list {
    margin: 0 0 2em 2em;
    list-style-type: none;
    padding: 0;
    width: 15em;
}

#zones-list li {
    cursor: pointer;
    position: relative;
    left: 0;
    background-color: #191d11;
    margin: .5em;
    padding-left: 1.3em;
    padding-top: .4em;
    height: 1.6em;
    border-radius: 5px;
    border: 1px solid #282b1f;
}

#zones-list li.selected {
    background-color: #212616;
    border: 1px solid #464f17;
    left: .2em;
}

#zones-list li:hover {
    color: #e8feb7;
    background-color: #303721;
    left: .4em;
    border: 1px solid #c8e343;
}

/*-------------------------- CONTENT */

section {
    display: flex;
    flex-direction: row;
    width: 100%;
}

#section-wrap {
    flex: 1;
    float: right;
    margin: 1em;
    border-left: #e8f697 solid 1px;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    -ms-flex-wrap: nowrap;
}


#section-wrap div {
    margin: .5em;
    /*border: #e8f697 solid 1px;*/
}

#zone-attributes {
    flex: 1;
    width: 50%;
}

#attribute-monitor {
    flex: 1;
    width: 50%;
    display: flex;
    flex-direction: column;
    flex-flow: column;
}

.attribute-graph {
    width: 99%;
}

.attribute-graph:last-child {
    margin-bottom: 20em;
}

/*-------------------------- TABLE ATTRIBUTES */

#zone-attributes tr {
    border: rgba(79, 96, 48, 0.34) solid 1px;
    height: 1.5em;
}

#zone-attributes td:first-child {
    width: 10em;
    border-right: dotted 1px rgba(79, 96, 48, 0.20);
}

#zone-attributes td:nth-child(2) {
    width: 10em;
    border-right: dashed 1px rgba(79, 96, 48, 0.20);
}

#zone-attributes td {
    padding-left: .5em;
}

#zone-attributes tr:nth-child(even) {
    background: rgba(43, 43, 32, 0.2);
}

#zone-attributes table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 1em;
}

#zone-attributes table th:first-child {
    background: rgba(42, 45, 29, 0.54);
    border-bottom: rgba(173, 211, 101, 0.69) solid 1px;
    font-size: larger;
    padding: .4em 0;
}

/*-------------------------- QUERY INSTALL FORM */
.query-install-form{
    flex: 50%;
    float: right;
}

.query-install-form form {
    float: right;
    display: flex;
    flex-direction: row;
}

.query-install-form form input {
    padding-left: 0.3em;
    border-radius: 0.4em;
    border: #e1fe80 1px solid;
    background-color: #060c02;
    color: aliceblue;
    margin-top: 0.5em;
    margin-right: 1em;
}

#query-name {
    width: 10em;
}

#query-content {
    width: 50em;
}

#query-install {
    width: 6em;
    color: #a4f91d;
    background-color: #213d09;
    font-weight: bolder;
}